//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/Model/Item/SampleItem.cpp
//! @brief     Implements class SampleItem
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2021
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#include "GUI/Model/Item/SampleItem.h"
#include "GUI/Model/Item/ItemWithParticles.h"
#include "GUI/Model/Item/LayerItem.h"
#include "GUI/Model/Item/MultiLayerItem.h"
#include "GUI/Model/Item/ParticleLayoutItem.h"

SampleItem::SampleItem(SessionItem* item)
{
    if (auto* p = dynamic_cast<MultiLayerItem*>(item))
        base::operator=(p);
    else if (auto* p = dynamic_cast<LayerItem*>(item))
        base::operator=(p);
    else if (auto* p = dynamic_cast<ParticleLayoutItem*>(item))
        base::operator=(p);
    else if (auto* p = dynamic_cast<ItemWithParticles*>(item))
        base::operator=(p);
    else
        ASSERT(false);
}
